gr_wlogit <- function(Y,X,coefficients,w){
  #DESCRIPTION
  # Calculates the gradient of the log likelihood for a weighted logit at given coefficients (from Greene)
  #-------------------------------------------------------------------------------
  #USAGE
  # gr_wlogit(Y,X,w,coefficients)
  #-------------------------------------------------------------------------------
  #ARGUMENTS
  # Y:            matrix of the LHS variable
  # X:            matrix of RHS variables
  # coefficients: vector of coefficients.
  # w:            vector of observation weights
  #-------------------------------------------------------------------------------
  #OUTPUT
  # negative gradient (for optimization of negative likelihood)
  
  
  Xbeta <- X%*%coefficients
  Gamma <- exp(Xbeta)/(1+exp(Xbeta))
  gr_wprobit <- c(c(w*(Y-Gamma)) %*% X)
  return(-gr_wprobit)
}