gr_wprobit <- function(Y,X,coefficients,w){
  #DESCRIPTION
  # Calculates the gradient of the log likelihood for a weighted probit at given coefficients (from Greene)
  #-------------------------------------------------------------------------------
  #USAGE
  # gr_wlogit(Y,X,w,coefficients)
  #-------------------------------------------------------------------------------
  #ARGUMENTS
  # Y:            matrix of the LHS variable
  # X:            matrix of RHS variables
  # coefficients: vector of coefficients.
  # w:            vector of observation weights
  #-------------------------------------------------------------------------------
  #OUTPUT
  # negative gradient (for optimization of negative likelihood)
  
  q <- 2*Y-1
  Xbeta <- X%*%coefficients
  qXbeta <- q*Xbeta
  lambda <- c(q * w * dnorm(qXbeta) / pnorm(qXbeta))
#   lambda <- c(q * dnorm(qXbeta) / pnorm(qXbeta))
  gr_wprobit <- c(lambda %*% X)
  return(-gr_wprobit)
}