plot_U_realdata <- function(filename,main,tis,toos,type="pdf"){
  # Plots different performance measures over the full width of preferences
  #
  # Gregor von Schweinitz and Peter Sarlin, 2018-07-25
  
  
  if (type=="pdf") pdf(paste(filename,".pdf",sep=""),width=12,height=9)
  if (type=="tiff") tiff(filename = paste(filename,".tiff",sep=""),width=12,height=9,units="in",compression="none",res=300)
  
  
  lwd <- c(2,2,3)
  col <- c(1,1,1)
  lty <- c(2,3,1)
  legend <- colnames(tis)[reportcols]
  lsort <- c(1:3)
  layout(matrix(c(1,2,3), ncol=1, byrow=TRUE), heights=c(4,4,1))
  par(mai=c(0.5,0.7,0.5,0.5))
  matplot(x=tis[,1],y=tis[,reportcols],type="l",main=main[1],xlab=colnames(tis)[1],ylab="Ur",lty=lty,col=col,lwd=lwd,ylim=c(-0.2,0.7),cex.main=1.7,cex.lab=1.7,cex.axis=1.5)
  abline(a=0,b=0)
  matplot(x=toos[,1],y=toos[,reportcols],type="l",main=main[2],xlab=colnames(toos)[1],ylab="Ur",lty=lty,col=col,lwd=lwd,ylim=c(-0.2,0.7),cex.main=1.7,cex.lab=1.7,cex.axis=1.5)
  abline(a=0,b=0)
  
  par(mai=rep(0,4))
  plot.new()
  legend(x="center", ncol=3,legend=legend[lsort],lty=lty[lsort],col=col[lsort],lwd=lwd[lsort],cex=1.5)
  dev.off()
  
}