weighttest_realtime <- function(data_obj,horizon,muvec=c(0.2,0.5,0.8),oos_oneperiod=TRUE,b_U_Sarlin=TRUE){
  # Runs recursive analysis over a given dataset (equivalent to the one-off split in weighttesting_thresh.R)
  
    
#   if (length(data_obj$datename)>1){error("restrict date vector to be unique")}
#   if (!is.Date(data_obj$data[,datename])) {error("date vector has the wrong format")}
  
  datename <- data_obj$datename
  countryname <- data_obj$countryname
  data_full <- data_obj$data
  countries <- unique(data_obj$data[,countryname])
  subset <- data_obj$subset
  data_obj_new <- data_obj
  dates <- sort(unique(data[,datename]))
  print(diff(dates))
  Tvec <- 1:length(dates)
  Tvec_is <- 1:length(unique(data[subset,datename]))
  Tvec_oos <- Tvec[-Tvec_is]
  
  # identification, which data can be used for in-sample estimation at time T
  tab_Y <- NA*mat.or.vec(length(dates),length(countries))
  rownames(tab_Y) <- Tvec
  colnames(tab_Y) <- countries
  tab_pos <- tab_Y
  tab_use <- tab_Y
  for (k in 1:length(countries)){
    countrypos <- which(data_full[,countryname]==countries[k])
    temp <- data_full[countrypos,c(datename,data_obj$LHS)]
    rows <- which(dates%in%temp[,datename])
    tab_Y[rows,k] <- temp[,data_obj$LHS]
    tab_pos[rows,k] <- countrypos
    tab_use[,k] <- Tvec+horizon
    pos_cr <- which(diff(tab_Y[,k])==-1)+1  #position of true crises (after EWW)
    for (p in pos_cr){tab_use[max(p-horizon,1):(p),k] <- p}
  }
  pos_NA <- is.na(tab_Y)
  tab_use[pos_NA] <- NA
  
  # Definition of result tables (rather, arrays)
  mvec <- c("Probit opt threshold","Probit set threshold","Weighted probit",
           "Logit opt threshold","Logit set threshold","Weighted logit")
  resvec <- c("lambda","Ua_in","Ua_out","Ur_in","Ur_out","A_out","B_out","C_out","D_out","R2","R2adj")
  tab_res <- array(dim=c(length(Tvec_oos),length(mvec),length(muvec),length(resvec)),
                   dimnames=list(T=as.character(dates[Tvec_oos]),method=mvec,mu=muvec,res=resvec))

  
  for (k in 1:length(Tvec_oos)){
    T <- Tvec_oos[k]
    print(paste("Out-of-sample for T =",dates[T]))
    pos_is <- tab_pos[tab_use<T & !is.na(tab_use)]
    
    if (oos_oneperiod){
      pos_oos <- which(data_full[,datename]==dates[T])
    }
    else{
      pos_oos <- which(data_full[,datename]<=dates[T])
      pos_oos <- pos_oos[-c(match(pos_is,pos_oos))]
    }
    data_obj_new$subset <- c(1:length(pos_is))
    data_obj_new$data <- data_full[c(pos_is,pos_oos),]
    
    res_compare <- weighttesting_thresh(data_obj_new,mu=muvec,long=FALSE,oos=TRUE,b_U_Sarlin=b_U_Sarlin)
    for (m in 1:length(muvec)){
      for (r in 1:length(resvec)){
        tab_res[k,,m,r] <- res_compare[m,,resvec[r]]
      }
    }
  }
  
  return(tab_res)
}