# This code runs subcodes for the simulation of different data generating processes
# Gregor von Schweinitz and Peter Sarlin, 2018-07-25


wd <- getwd()

#-----------------------
source(paste(wd,"/findThreshold.R",sep=""))
source(paste(wd,"/hess_wprobit.R",sep=""))
source(paste(wd,"/hess_wlogit.R",sep=""))
source(paste(wd,"/gr_wprobit.R",sep=""))
source(paste(wd,"/gr_wlogit.R",sep=""))
source(paste(wd,"/LL_wprobit.R",sep=""))
source(paste(wd,"/LL_wlogit.R",sep=""))
source(paste(wd,"/weighttesting_thresh.R",sep=""))
source(paste(wd,"/randomdata.r",sep=""))
source(paste(wd,"/mult_testing_par.R",sep=""))
source(paste(wd,"/plot_simdata.R",sep=""))


#------------------------------------------------
#running simulation exercices
muvec <- c(0.95,0.9,08,0.7,0.6,0.5,0.2)
test_standard <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_corr <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=TRUE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_autocorr <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=FALSE,autocorr=TRUE,dist="norm")
save.image("simtest_weightplacement.RData")
test_fullcorr <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=TRUE,autocorr=TRUE,dist="norm")
save.image("simtest_weightplacement.RData")
test_standard_omitted <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=FALSE,autocorr=FALSE,omitted_var=TRUE,dist="norm")
save.image("simtest_weightplacement.RData")
test_corr_omitted <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=TRUE,autocorr=FALSE,omitted_var=TRUE,dist="norm")
save.image("simtest_weightplacement.RData")

# test_signals <- mult_testing_signals_par(mu=muvec,random=FALSE,dist="norm")
# save.image("simtest_weightplacement.RData")
# test_standard_fulloptim <- mult_testing_par(mu=muvec,corr=FALSE,autocorr=FALSE,full_optim=TRUE,dist="norm")
# save.image("simtest_weightplacement.RData")


test_b01.01 <- mult_testing_par(mu=muvec,b=c(0.1,0.1,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_b01 <- mult_testing_par(mu=muvec,b=c(0.1,0,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_b10 <- mult_testing_par(mu=muvec,b=c(10,0,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_b1.1 <- mult_testing_par(mu=muvec,b=c(1,1,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_b10.10 <- mult_testing_par(mu=muvec,b=c(10,10,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")
test_b10.01 <- mult_testing_par(mu=muvec,b=c(10,0.1,0,-1),corr=FALSE,autocorr=FALSE,dist="norm")
save.image("simtest_weightplacement.RData")

plot_simdata(test_standard,"standard",TRUE)
plot_simdata(test_corr,"corr",TRUE)
plot_simdata(test_autocorr,"autocorr",TRUE)
plot_simdata(test_fullcorr,"fullcorr",TRUE)
plot_simdata(test_standard_omitted,"standard_omit",TRUE)
plot_simdata(test_corr_omitted,"corr_omit",TRUE)
plot_simdata(test_b01,"b01",TRUE)
plot_simdata(test_b10,"b10",TRUE)
plot_simdata(test_b01.01,"b01_01",TRUE)
plot_simdata(test_b1.1,"b1_1",TRUE)
plot_simdata(test_b10.10,"b10_10",TRUE)
plot_simdata(test_b10.01,"b10_01",TRUE)


test_exp <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=FALSE,autocorr=FALSE,dist="exp")
test_cauchy <- mult_testing_par(mu=muvec,b=c(1,0,0,-1),corr=FALSE,autocorr=FALSE,dist="cauchy")
save.image("simtest_cauchy.RData")

plot_simdata(test_exp,"exp",TRUE)
plot_simdata(test_cauchy,"cauchy",TRUE)

# NEW PLOTS!!!!!!!
# -------------------------------------------------------------------------
# -------------------------------------------------------------------------
# Creating plots from simulated data
# Lambdaplot



savenme.part <- "b01"
plotdata <- test_b01
plotsave <- TRUE


